=== debian/changelog ===
vdev (0.1.2) unstable; urgency=low

  * Corrected build configuration to put lib in x86_64 for amd64

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 17 Jan 2017 20:35:01 +1100

vdev (0.1.1) unstable; urgency=low

  * Initial release

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 17 Jan 2017 20:35:01 +1100
