=== debian/control ===
Source: vdev
Section: admin
Priority: optional
Maintainer: Ralph Ronnquist <ralph.ronnquist@gmail.com>
Build-Depends: debhelper (>= 9)
# vdevfs needs libfuse, libpstat, fskit
Standards-Version: 3.9.5
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://anonscm.debian.org/collab-maint/vdev.git
#Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/vdev.git;a=summary

Package: vdev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libudev1-compat, vdevd, vdev-initramfs
Description: A device-file manager and filesystem
 Vdev is a portable userspace device-file manager for UNIX-like
 operating systems. It differs from existing device-file managers in
 that it provides an optional filesystem interface that implements a
 per-process view of /dev, thereby giving the host administrator the
 means to control device node access based on arbitrary criteria (such
 as process session ID, process seat assignment, etc.).
