=== debian/changelog ===
vdev (1.0) unstable; urgency=low

  * Initial release

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 17 Jan 2017 20:35:01 +1100
