=== libudev-compat/debian/changelog ===
libudev1-compat (1.2.2) unstable; urgency=low

  * Added all packaging control script

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 12 Jan 2017 21:55:55 +1000

libudev1-compat (1.2.1) unstable; urgency=low

  * Declared SONAME libudev.so.1 so as to persist link setting

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 07 Sep 2016 18:39:05 +1000

libudev1-compat (1.2) unstable; urgency=low

  * Reverted to free-standing packaging (not replacing libudev1)

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 07 Sep 2016 18:39:05 +1000

libudev1-compat (1.1) unstable; urgency=low

  * Packaging setup to provide, conflict and replace libudev1

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 04 Sep 2016 11:19:48 +1000

libudev1-compat (1.0beta-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 28 Aug 2016 11:19:48 +1000
