=== vdev-initramfs/debian/changelog ===
vdev (1.2.8) unstable; urgency=low

  * Added all packaging scripts

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 12 Jan 2017 22:18:45 +1000

vdev (1.2.7) unstable; urgency=low

  * Updated vdev-install.sh script to manage libudev.so better

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 12 Oct 2016 15:14:44 +1000

vdev (1.2.6) unstable; urgency=low

  * Updated vdev-install.sh script to manage libudev.so better

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 12 Oct 2016 11:04:59 +1000

vdev (1.2.5) unstable; urgency=low

  * Polishing package installation, and vdev-install.sh script.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 02 Oct 2016 13:21:51 +1000

vdev (1.2.4) unstable; urgency=low

  * Improved vdev-install.sh to use /etc/insserv/overrides for avoiding that insserv sees conflicting definitions of "udev".

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Fri, 30 Sep 2016 23:23:18 +1000

vdev (1.2.3) unstable; urgency=low

  * Updated vdev-install.sh to juggle libudev.so.1 link better

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sat, 10 Sep 2016 15:22:02 +1000

vdev (1.2.2) unstable; urgency=low

  * Made pre-pivot run quiet, and corrected the init-bottom script

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sat, 10 Sep 2016 15:22:02 +1000

vdev (1.2.1) unstable; urgency=low

  * Added a prerm script to revert to udev before removing vdev.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sat, 10 Sep 2016 15:22:02 +1000

vdev (1.2) unstable; urgency=low

  * Included a postinst script for manual choice between udev and vdev.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 07 Sep 2016 18:39:05 +1000

vdev (1.1) unstable; urgency=low

  * Revision attempting to play nicely with udev

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 04 Sep 2016 11:19:57 +1000

vdev (1.0beta-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 28 Aug 2016 11:19:57 +1000
