=== vdevd/debian/changelog ===
vdevd (2.0.3) unstable; urgency=low

  * Populated all build scripts, including prerm to remove the udev script capture, and thus allow /usr/share/vdev to be removed.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 12 Jan 2017 21:47:55 +1000

vdevd (2.0.2) unstable; urgency=low

  * Correction to hwdb access via DEVPATH, i.e. idVendor/idProduct.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 11 Oct 2016 00:14:58 +1000

vdevd (2.0.1) unstable; urgency=low

  * Corrections to compiled rules handling.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Mon, 10 Oct 2016 14:24:55 +1000

vdevd (2.0) unstable; urgency=low

  * First attempt with "compiled rules" acivated.
  * Includes the actions and helpers for beta testing of compiled rules.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 09 Oct 2016 09:22:26 +1000

vdevd (1.2.2) unstable; urgency=low

  * Moved overrides file to /etc/insserv/overrides/vdev
  * Changed initial loglevel to "info"

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 02 Oct 2016 13:24:23 +1000

vdevd (1.2.1) unstable; urgency=low

  * Moved all postinst activity from here into the vded-initramfs package
  * Added /etc/vdev/insserv-overrides-udev template to support choice between udev and vdev
  * Included compiled udev rules into hwdb (without supporting actions)

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Fri, 30 Sep 2016 22:57:59 +1000

vdevd (1.2) unstable; urgency=low

  * No longer provides "udev".

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 07 Sep 2016 18:39:05 +1000

vdevd (1.1) unstable; urgency=low

  * Versioning consolidation

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 04 Sep 2016 00:17:55 +1000

vdevd (1.0beta-3) unstable; urgency=low

  * Change to include all runtime configuration.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 02 Sep 2016 00:17:55 +1000

vdevd (1.0beta-2) unstable; urgency=low

  * Added first draft of man pages.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 30 Aug 2016 12:50:13 +1000

vdevd (1.0beta-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 28 Aug 2016 11:19:35 +1000
