=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: vdev
-Section: admin
+Section: unknown
 Priority: optional
 Maintainer: Ralph Ronnquist <ralph.ronnquist@gmail.com>
 Build-Depends: debhelper (>= 9)
@@ -12,7 +12,6 @@
 Package: vdev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libudev1-compat, vdevd, vdev-initramfs
 Description: A device-file manager and filesystem
  Vdev is a portable userspace device-file manager for UNIX-like
  operating systems. It differs from existing device-file managers in
