=== vdev-initramfs/debian/control ===
Source: vdev
Section: admin
Priority: important
Maintainer: Ralph Ronnquist <ralph.ronnquist@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: https://git.devuan.org/ralph.ronnquist/vdev

Package: vdev-initramfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdevd, libudev1-compat
Suggests: dialog
Description: Vdev is a portable userspace device-file manager.
 Vdev is a portable userspace device-file manager for UNIX-like
 operating systems. It differs from existing device-file managers in
 that it provides an optional filesystem interface that implements a
 per-process view of /dev, thereby giving the host administrator the
 means to control device node access based on arbitrary criteria (such
 as process session ID, process seat assignment, etc.).
 .
 This package provides the setup for adding vdevd to initramfs, and
 the control script for choice between vdev and udev.
