=== vdevd/debian/control ===
Source: vdevd
Section: admin
Priority: important
Maintainer: Ralph Ronnquist <ralph.ronnquist@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: https://git.devuan.org/ralph.ronnquist/vdev

Package: vdevd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Vdev is a portable userspace device-file manager.
 Vdev is a portable userspace device-file manager for UNIX-like
 operating systems. It differs from existing device-file managers in
 that it provides an optional filesystem interface that implements a
 per-process view of /dev, thereby giving the host administrator the
 means to control device node access based on arbitrary criteria (such
 as process session ID, process seat assignment, etc.).
 .
 This package provides the runtime daemon for using vdev as /dev
 manager.
