=== pkg/Makefile ===
all: deb

deb:
	./pkg-deb.sh

.PHONY: clean
clean:
	/bin/rm -f *.deb
