=== vdevd/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 include ../buildconf.mk
 
-C_SRCS := $(wildcard *.c) $(wildcard os/*.c) $(wildcard ../libvdev/*.c)
+C_SRCS := $(wildcard *.c) $(wildcard os/*.c)
 
-LIB   := -lpthread -lrt
+LIB   := -lpthread -lrt -L$(BUILD_LIBVDEV) -lvdev
 OBJ   := $(patsubst %.c,$(BUILD_VDEVD)/%.o,$(C_SRCS))
 VDEVD := $(BUILD_VDEVD)/vdevd
 
@@ -14,19 +14,15 @@
 
 HWDB_DIR := $(ROOT_DIR)/hwdb
 
-all: $(VDEVD) helpers
+all: $(VDEVD) helpers	
 
 $(VDEVD): $(OBJ) helpers
 	@mkdir -p "$(shell dirname "$@")"
-	$(CC) -o $@ $(OBJ) $(LIB) $(LIBINC) $(LDFLAGS)
+	$(CC) -L$(BUILD_LIBVDEV)/libvdev.so -o $@ $(OBJ) $(LIB) $(LIBINC) $(LDFLAGS)
 
 $(BUILD_VDEVD)/%.o : %.c
 	@mkdir -p "$(shell dirname "$@")"
-	$(CC) $(CFLAGS) $(DEFS) $(INC) -o "$@" -c "$<"
-
-$(BUILD_LIBVDEV)/%.o: $(LIBVDEV_ROOT)/%.c
-	@mkdir -p "$(shell dirname "$@")"
-	$(CC) $(CFLAGS) $(DEFS) $(INC) -o "$@" -c "$<"
+	$(CC) $(CFLAGS) $(DEFS) $(INC) -I$(BUILD)/include -o "$@" -c "$<"
 
 $(BUILD_MAN8DIR):
 	@echo "===== MKDIR $@"
@@ -46,6 +42,7 @@
 	$(MAKE) -C $(HELPERS_DIR)
 
 .PHONY: helpers-install hwdb-install
+
 helpers-install:
 	$(MAKE) -C $(HELPERS_DIR) install
 
@@ -53,7 +50,7 @@
 	$(MAKE) -C $(HWDB_DIR) install
 
 conf-install:
-	$(MAKE) -C ../vdev-initramfs -f conf.mk conf-install
+	$(MAKE) -C ../example -f conf.mk conf-install
 
 install: $(VDEVD_INSTALL) helpers-install hwdb-install $(MANPAGES_INSTALL) \
 	conf-install
