=== debian/changelog ===
vdev (1.3.67-1+5gnuinos1) unstable; urgency=medium

  * Request TERM signal in daemonlets if parent exits
  * New upstream version 1.3.67

 -- Aitor <aitor_czr@gnuinos.org>  Thu, 16 Oct 2025 23:19:29 +0200

vdev (1.3.66-1+5gnuinos1) unstable; urgency=medium

  * Add missing sysfs mountpoint prefix to $_ROOTSYSBLOCK variable 
    in the helper subr-event.sh
  * New upstream version 1.3.66

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 12 Oct 2025 20:38:59 +0200

vdev (1.3.65-1+5gnuinos3) unstable; urgency=medium

  * Add --sysinit parameter to the vgchange command in forcelvm as 
    suggested in its manpages when it's being invoked from early 
    system initialisation scripts (e.g. rc.sysinit or an initrd), 
    before writable filesystems are available

 -- Aitor <aitor_czr@gnuinos.org>  Wed, 08 Oct 2025 16:35:31 +0200

vdev (1.3.65-1+5gnuinos2) unstable; urgency=medium

  * Run initramfs-tools/scripts/local-block/forcelvm only if lvm2 
    is present in the initial ram disk

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 05 Oct 2025 20:02:41 +0200

vdev (1.3.65-1+5gnuinos1) unstable; urgency=medium

  * Added dri.act to actions.1
  * Added drm susbsystem to the set of subsystems taken into account 
    in both vdev_modprobe and vdevd.1.conf
  * New upstream version 1.3.65

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 04 Oct 2025 00:14:42 +0200

vdev (1.3.64-1+5gnuinos4) unstable; urgency=medium

  * Add missing quotes in expresions like [ "$foo" -eq "1" ] existent 
    in disk.sh that caused warnings related to "Illegal numbers" being 
    parsed in the daemonlet
  * New upstream version 1.3.64

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 07 Sep 2025 23:15:01 +0200

vdev (1.3.63-1+5gnuinos4) unstable; urgency=medium

  * Add new helper vdev_root_sys_block to determine the device
    where the root partition is mounted
  * Add device-mapper and dm-disk actions to the initrd phase
  * Add new script to initramfs-tools/scripts/local-block that runs
    vgchange in order to activate lvm. Auto-detection with vdev is
    broken.

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 07 Sep 2025 00:32:33 +0200

vdev (1.3.62-1+5gnuinos3) unstable; urgency=medium

  * Reset the console to normal text output after printing in bold
    all input devices found by the helper vdev_wait
  * New upstream version 1.3.62

 -- Aitor <aitor_czr@gnuinos.org>  Wed, 27 Aug 2025 20:35:37 +0200

vdev (1.3.60-1+5gnuinos3) unstable; urgency=medium

  * Bugfix in vdev_blkid() routine of the helper substr.sh: we need to
    skip the slashes and also to add quotes in the 2nd member of the
    'key=value' pairs
  * Minor changes in os/linux.c
  * New upstream version 1.3.60

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 23 Aug 2025 18:19:09 +0200

vdev (1.3.59-1+5gnuinos3) unstable; urgency=medium

  * Redirect to /dev/null error outputs while evaluating the helper
    data gotten from stat_* binaries that lead to weird errors thrown
    by the daemonlet (due to Ilegal numbers)
  * New upstream version 1.3.59

 -- Aitor <aitor_czr@gnuinos.org>  Fri, 22 Aug 2025 11:51:23 +0200

vdev (1.3.58-1+5gnuinos3) unstable; urgency=medium

  * Bugfix in the vdev sysvinit script
  * New upstream version 1.3.58

 -- Aitor <aitor_czr@gnuinos.org>  Thu, 21 Aug 2025 23:57:58 +0200

vdev (1.3.57-1+5gnuinos2) unstable; urgency=medium

  * Add suport for NVMe drives
  * Update stat_ata.c by adding new fields from the IDENTIFY data
  * Add missing variables VDEV_SCSI_WWN and VDEV_SCSI_WWN_WITH_EXTENSION
    to the commonly-used environment variables in the routine
    daemonlet_default_environ() of daemonlet
  * New upstream version 1.3.57

 -- Aitor <aitor_czr@gnuinos.org>  Sat, 16 Aug 2025 13:12:47 +0200

vdev (1.3.56-1+5gnuinos2) unstable; urgency=medium

  * Add a fanotify file descriptor to the enumerated list of FDs to
    poll in os/linux.c, focused primarily to simplify the init script
  * New upstream version 1.3.56

 -- Aitor <aitor_czr@gnuinos.org>  Thu, 14 Aug 2025 19:26:42 +0200

vdev (1.3.55-1+5gnuinos1) unstable; urgency=medium

  * Postpone during the boot process every device related to the acpi
    subsystem, either the device itself or some other parent device
    in the sysfs hierarchy, regardless the device concerned belongs
    to any one of the subsystems in which we are interested. Since
    version 1.3.42 we have been applying the opposite criterion to the
    pci subsystem, but now we take only the acpi subsystem into account
    when it comes to postpone devices in order to speed up the boot
    process. In doing so, we remove the need to distinguish between real
    hardware from virtual machines. And the need to determine the arch
    as well. Moreover, this way is not only more effective, but also
    more rational
  * New upstream version 1.3.55

 -- Aitor <aitor_czr@gnuinos.org>  Wed, 13 Aug 2025 00:58:40 +0200

vdev (1.3.54-1+5gnuinos1) unstable; urgency=medium

  * Fix compiler warning
  * New upstream version 1.3.54

 -- Aitor <aitor_czr@gnuinos.org>  Mon, 11 Aug 2025 09:28:20 +0200

vdev (1.3.53-1+5gnuinos1) unstable; urgency=medium

  * Fix issue in non x86_64 hardware including the whole list of items
    stored in struct sglib_cstr_vector uevents. Same in case we are in
    a virtual machine, regardless the architecture
  * New upstream version 1.3.53

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 10 Aug 2025 10:39:54 +0200

vdev (1.3.52-1+5gnuinos1) unstable; urgency=medium

  * Simplify the runit script
  * Define a tag VDEV_OS_TRACKING_FLAG that allows to keep track of the
    processed coldplug devices. When the last device is processed in
    zzz-udev-compat.act (which takes the value 1 for this flag), the
    aforementioned action sends a SIGTERM signal to the parent, i.e.
    vdevd. TODO: we need to handle the hypothetical case were the last
    device isn't parsed correctly, maybe sending a delayed SIGALRM that
    will terminate the process after a prudent lapse of time.

